#!/usr/bin/perl

use strict;
use LWP::Simple;
use Tk;
use Tk::Text;
use Tk::ROText;

#perl2exe_include "utf8_heavy.pl";
#perl2exe_include "unicore/lib/SpacePer.pl";
#perl2exe_include "unicore/To/Lower.pl";
#perl2exe_include "unicore/To/Upper.pl";
#perl2exe_include "unicore/To/Fold.pl";
#perl2exe_include "unicore/lib/Digit.pl";
#perl2exe_include "unicore/lib/Word.pl";
#perl2exe_include "Encode/Unicode.pm";
#perl2exe_include "unicore/lib/Cntrl.pl"
#perl2exe_include "unicore/lib/ASCII.pl"

my $mw = Tk::MainWindow->new(-title => 'Weather Demo');
my $fra = $mw->Frame->pack();
$fra->Label(-text => 'Enter zip code: ')->pack(-side => 'left');
my $txtZip = $fra->Text(
	-height => 1,
	-width => 5,
)->pack(-side => 'left', -padx => 5);
$fra->Button(
	-text => 'Get Weather',
	-command => \&get_weather
)->pack(-side => 'left');
$mw->Label(-text => 'Current Weather Conditions:')->pack;
my $lblCurrent = $mw->Label(
	-width => 60,
	-relief => 'sunken',
	-border => 1,
	-background => 'black',
)->pack;

MainLoop();

sub get_weather {
	my $zip = $txtZip->Contents;
	my $xml = get("http://rss.wunderground.com/auto/rss_full/$zip.xml?units=english");
	if ($xml =~ m/<title>Current Conditions : ([^<]+)<\/title>/) {
		$lblCurrent->configure(-text => $1, -foreground => 'green')
	} else {
		$lblCurrent->configure(-text => 'No current conditions found', -foreground => 'yellow')
	}
}
		
